Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.writer.coretypes
Class Point2DWriteHandler

    java.lang.Object
      org.jfree.xml.writer.AbstractXmlWriteHandler
          org.jfree.xml.writer.coretypes.Point2DWriteHandler

All Implemented Interfaces:
  XmlWriteHandler

    public class Point2DWriteHandler

extends AbstractXmlWriteHandler

A handler for writing a `Point2D` object.

Constructor Summary
`Point2DWriteHandler()` Default constructor.

Method Summary
`void` | `write(java.lang.String tagName, java.lang.Object object, XMLWriter writer, java.lang.String mPlexAttribute, java.lang.String mPlexValue)` Performs the writing of a `Point2D` object.

Methods inherited from class org.jfree.xml.writer.AbstractXmlWriteHandler
`getRootHandler, setRootHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point2DWriteHandler

    public Point2DWriteHandler()

  Default constructor.

Method Detail

### write

    public void write(java.lang.String tagName,
                      java.lang.Object object,
                      XMLWriter writer,
                      java.lang.String mPlexAttribute,
                      java.lang.String mPlexValue)
               throws java.io.IOException,
                      XMLWriterException

  Performs the writing of a `Point2D` object.

  Parameters:
    `tagName` - the tag name.
    `object` - the `Point2D` object.
    `writer` - the writer.
    `mPlexAttribute` - ??.
    `mPlexValue` - ??.
  Throws:
    `java.io.IOException` - if there is an I/O error.
    `XMLWriterException` - if there is a writer error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD